%define upstream_name    Image-ExifTool
%define upstream_version 10.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Read and write meta information
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Obsoletes:  Image-ExifTool
Provides:   Image-ExifTool

%description
ExifTool provides an extensible set of perl modules to read and write meta
information in image, audio and video files, including the maker note
information of many digital cameras by various manufacturers such as Canon,
Casio, FujiFilm, JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon,
Olympus/Epson, Panasonic/Leica, Pentax/Asahi, Ricoh, Sanyo and Sigma/Foveon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags} -DENGLISH"

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/File


%changelog
* Fri Mar 03 2017 eatdirt <eatdirt> 1:10.450.0-1.mga6
+ Revision: 1088574
- Upgrade to version 10.45

* Sun Jun 19 2016 pterjan <pterjan> 1:10.150.0-2.mga6
+ Revision: 1028459
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1:10.150.0-1.mga6
+ Revision: 1007885
- update to 10.15

* Wed Feb 10 2016 shlomif <shlomif> 1:10.100.0-1.mga6
+ Revision: 953363
- update to 10.10

* Sun Aug 23 2015 sander85 <sander85> 1:10.0.0-1.mga6
+ Revision: 868460
- update to 10.00

* Tue Jun 30 2015 sander85 <sander85> 1:9.900.0-1.mga6
+ Revision: 848831
- update to 9.90

* Wed Oct 15 2014 umeabot <umeabot> 1:9.700.0-3.mga5
+ Revision: 740103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:9.700.0-2.mga5
+ Revision: 685119
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 1:9.700.0-1.mga5
+ Revision: 671896
- update to 9.70

* Tue May 20 2014 jquelin <jquelin> 1:9.600.0-1.mga5
+ Revision: 624372
- update to 9.60

* Mon Feb 24 2014 jquelin <jquelin> 1:9.530.0-1.mga5
+ Revision: 596331
- update to 9.53

* Sun Feb 09 2014 sander85 <sander85> 1:9.460.0-1.mga5
+ Revision: 587491
- update to 9.46

* Sat Oct 19 2013 umeabot <umeabot> 1:9.270.0-2.mga4
+ Revision: 527087
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:9.270.0-1.mga4
+ Revision: 439484
- update to 9.27

* Sun Jan 13 2013 umeabot <umeabot> 1:9.120.0-2.mga3
+ Revision: 368730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:9.120.0-1.mga3
+ Revision: 342228
- update to 9.12

* Tue Nov 06 2012 jquelin <jquelin> 1:9.40.0-1.mga3
+ Revision: 315123
- update to 9.04

* Fri Aug 31 2012 kharec <kharec> 1:9.10.0-1.mga3
+ Revision: 286266
- update to 9.01

* Tue Jun 05 2012 jquelin <jquelin> 1:8.900.0-1.mga3
+ Revision: 255076
- update to 8.90

* Thu Feb 23 2012 jquelin <jquelin> 1:8.770.0-1.mga2
+ Revision: 213007
- update to 8.77

* Mon Jan 09 2012 jquelin <jquelin> 1:8.750.0-1.mga2
+ Revision: 193823
- update to 8.75

* Mon Sep 26 2011 jquelin <jquelin> 1:8.650.0-1.mga2
+ Revision: 148142
- update to 8.65

* Thu Jun 30 2011 jquelin <jquelin> 1:8.600.0-1.mga2
+ Revision: 116445
- update to 8.60

* Wed Mar 02 2011 jquelin <jquelin> 1:8.500.0-1.mga1
+ Revision: 62570
- update to 8.50

* Sat Jan 22 2011 jquelin <jquelin> 1:8.400.0-1.mga1
+ Revision: 32764
- mageia rebuild
- imported package perl-Image-ExifTool

